Unable to find an appropiate license for this control. License has expired. The Control "Farpoint.Win.Spread.FpSpread" will not be created.

Posted by: sistemas-fp on 8 September 2017, 3:08 pm EST

  • Posted 8 September 2017, 3:08 pm EST

    <SPAN style="mso-ansi-language:EN-GB;"><FONT size=3><FONT face=Calibri>I’m trying to compile an old app created with VS2005 and Farpoint for Windows Forms<o:p></o:p></FONT></FONT></SPAN>

    <SPAN style="mso-ansi-language:EN-GB;"><FONT size=3><FONT face=Calibri>This app was maintained by an other team during years and now the app it’s back home again.<o:p></o:p></FONT></FONT></SPAN>

    <SPAN style="mso-ansi-language:EN-GB;"><FONT size=3><FONT face=Calibri>During these years the app was been migrated to VS2010 (and probably FarPoint<o:p></o:p></FONT></FONT></SPAN>

    <SPAN style="mso-ansi-language:EN-GB;"><FONT size=3><FONT face=Calibri>I’ve copied the App source to my computer, installed VS2010, compiled… and i get this message:</FONT></FONT></SPAN>

    <SPAN style="mso-ansi-language:EN-GB;">Unable to find an appropiate license for this control. License has expired. The Control "Farpoint.Win.Spread.FpSpread" will not be created.</SPAN>

    <SPAN style="mso-ansi-language:EN-GB;"></SPAN> 

    <SPAN style="mso-ansi-language:EN-GB;">How can i solve it.</SPAN>

    <SPAN style="mso-ansi-language:EN-GB;"></SPAN> 

    <SPAN style="mso-ansi-language:EN-GB;">This is the content of my licences.licx file:</SPAN>

    <SPAN style="mso-ansi-language:EN-GB;">FarPoint.Win.Spread.FpSpread, FarPoint.Win.Spread, Version=, Culture=neutral, PublicKeyToken=327c3516b1b18457</SPAN>

    <SPAN style="mso-ansi-language:EN-GB;"></SPAN> 

    <SPAN style="mso-ansi-language:EN-GB;"></SPAN> 

    <SPAN style="mso-ansi-language:EN-GB;">Friendly,</SPAN>

    <SPAN style="mso-ansi-language:EN-GB;"></SPAN> 

    <SPAN style="mso-ansi-language:EN-GB;">Ramon G</SPAN>

  • Replied 8 September 2017, 3:08 pm EST


    Spread 1.x is a legacy control and we are not in the process of supporting 1.x controls anymore. However, it seems that 1.x controls on your machine are not licensed and you need to activate the controls on your machine first before building the application.

    Please do the same and along with that we would suggest you to upgrade to the latest version Spread.Net 7 which has a lot of new enhanced features, bug fixes and alot of new <span style="font-family:arial,helvetica,sans-serif;font-size:13.3333px;font-style:normal;font-variant:normal;font-weight:normal;letter-spacing:normal;line-height:normal;orphans:2;text-align:start;text-indent:0px;text-transform:none;white-space:normal;widows:2;word-spacing:0px;float:none;">changes and you will definitely benefit from the latest build. Hence it is recommended to use the latest version.</span>

    You can find the latest upgrade from this link:-


    Hope it helps.

    Thanks,<span style="font-family:arial;font-size:small;font-style:normal;font-variant:normal;font-weight:normal;letter-spacing:normal;line-height:normal;orphans:2;text-align:start;text-indent:0px;text-transform:none;white-space:normal;widows:2;word-spacing:0px;">



Need extra support?

Upgrade your support plan and get personal unlimited phone support with our customer engagement team

Learn More

Forum Channels